package com.ruoyi.ie.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ie.mapper.AMarjorSubmitMapper;
import com.ruoyi.ie.domain.AMarjorSubmit;
import com.ruoyi.ie.service.IAMarjorSubmitService;

/**
 * 专业报名划线Service业务层处理
 * 
 * @author voluntary
 * @date 2023-11-26
 */
@Service
public class AMarjorSubmitServiceImpl implements IAMarjorSubmitService 
{
    @Autowired
    private AMarjorSubmitMapper aMarjorSubmitMapper;

    /**
     * 查询专业报名划线
     * 
     * @param id 专业报名划线主键
     * @return 专业报名划线
     */
    @Override
    public AMarjorSubmit selectAMarjorSubmitById(Long id)
    {
        return aMarjorSubmitMapper.selectAMarjorSubmitById(id);
    }

    /**
     * 查询专业报名划线列表
     * 
     * @param aMarjorSubmit 专业报名划线
     * @return 专业报名划线
     */
    @Override
    public List<AMarjorSubmit> selectAMarjorSubmitList(AMarjorSubmit aMarjorSubmit)
    {
        return aMarjorSubmitMapper.selectAMarjorSubmitList(aMarjorSubmit);
    }

    /**
     * 新增专业报名划线
     * 
     * @param aMarjorSubmit 专业报名划线
     * @return 结果
     */
    @Override
    public int insertAMarjorSubmit(AMarjorSubmit aMarjorSubmit)
    {
        return aMarjorSubmitMapper.insertAMarjorSubmit(aMarjorSubmit);
    }

    /**
     * 修改专业报名划线
     * 
     * @param aMarjorSubmit 专业报名划线
     * @return 结果
     */
    @Override
    public int updateAMarjorSubmit(AMarjorSubmit aMarjorSubmit)
    {
        return aMarjorSubmitMapper.updateAMarjorSubmit(aMarjorSubmit);
    }

    /**
     * 批量删除专业报名划线
     * 
     * @param ids 需要删除的专业报名划线主键
     * @return 结果
     */
    @Override
    public int deleteAMarjorSubmitByIds(Long[] ids)
    {
        return aMarjorSubmitMapper.deleteAMarjorSubmitByIds(ids);
    }

    /**
     * 删除专业报名划线信息
     * 
     * @param id 专业报名划线主键
     * @return 结果
     */
    @Override
    public int deleteAMarjorSubmitById(Long id)
    {
        return aMarjorSubmitMapper.deleteAMarjorSubmitById(id);
    }
}
